Bug 139811 - [httx] xim uses different LE to gtk when no LE for locale
[httx] xim uses different LE to gtk when no LE for locale
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: iiimf (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
:
Depends On:
Blocks: IIIMF 164354
  Show dependency treegraph
 
Reported: 2004-11-18 02:13 EST by Jens Petersen
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: im-sdk-12.1.1-11.svn2435
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-06 03:51:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2004-11-18 02:13:49 EST
Description of problem:
Start an gdm X session in a locale with no associated LE.
Then typically depending of the LEs installed httx will use
a different LE from what iiimgcf uses (I think it falls back
to the default dummy LE).

How reproducible:
every time.

Steps to Reproduce:
0. Start a X session in a locale without an associated LE.
1. Start a gtk app and use iiim.
2. Start a xim app and use iiim.
  
Actual results:
1. default LE (En) is used
2. Canna LE was used.

Expected results:
2. same as (1): default LE.

Additional info:
Perhaps some fallback code should be added to iiimxcf?
Comment 1 Akira TAGOH 2005-04-01 06:17:52 EST
iiimxcf needs to be cleaned up to choose the proper language.
Comment 2 Akira TAGOH 2005-04-04 10:09:12 EDT
should be fixed in 12.1.1-11.svn2435
Comment 3 Lawrence Lim 2005-04-06 03:51:25 EDT
Removed iiimf-qt, tested with im-sdk-12.1.1-11.svn2435 in the de_DE locale,
confirmed bug has been resolved.

Have also attempted to reproduce the bug in the older version of iiimf.

Note You need to log in before you can comment on or make changes to this bug.